# Check the status of the leasing agreement POST /eshop/v2/check This method is used to check the leasing contract status. E-shop uses this method to find out what is the status of the Leasing contract. Unique appl_token with e-shop order_id and uuid must be provided to check agreement status. Parameters must be the same which were used to create an application. Endpoint: POST /eshop/v2/check Security: apiKeyAuth ## Request fields (application/json): - `appl_token` (string, required) Unique Leasing application token. Example: "0E7F74967CA051F45E14AE2B0E6EB1B70A3292EE" - `order_id` (string, required) Unique E-shop shopping cart id. Example: "5E13I266GV" - `uuid` (string, required) Eshop unique identifier. Example: "c3945e9e-426f-8859-8b60-3b9e9a46d101" ## Response 200 fields (application/json): - `result` (string, required) Status code: - ERROR - INIT_AUTH - POST_RECEIVED - WAITING_FOR_PERMISSION - PERMISSION_SIGNED - VALIDATING_INFO - WAITING_FOR_SIF_CONFIRM - WAITING_FOR_DEAL_SIGN - NEED_HELP - NO_LOAN_POSSIBLE - CLIENT_CANCELED - SIGNED_DEAL - SIGNED_DEAL_NO_ADVANCE - SIGNED_DEAL_YOUR_ADVANCE - SIGNED_DEAL_OFFLINE - `result_msg` (string, required) In case of error, status code is ERROR and the definition explains the error. In case the advance payment is needed from the client - the amount is shown in the field advance. Further additional information may be displayed in the result_info field. Status code description: - ERROR - Error - INIT_AUTH - Session between e-shop ant web service created - POST_RECEIVED - Client start work - WAITING_FOR_PERMISSION - Client does not have a permission - PERMISSION_SIGNED - Permission signed - VALIDATING_INFO - Permission signed, client may continue shopping process - WAITING_FOR_SIF_CONFIRM - Waiting for SIF confirmation - WAITING_FOR_DEAL_SIGN - Credit chosen, waiting for contract confirmation - NEED_HELP - Customers need help - NO_LOAN_POSSIBLE - Credit cannot be given to client - CLIENT_CANCELED - Client canceled order - SIGNED_DEAL - Contract completed - SIGNED_DEAL_NO_ADVANCE - Contract completed without advance - SIGNED_DEAL_YOUR_ADVANCE - Contract completed and advance must pay to e-shop - SIGNED_DEAL_OFFLINE - Contract completed in Inbank accounting system - `result_info` (string, required) Additional information. - `advance` (number, required) Advance payment required from the client. - `currency` (string, required) Currency code by ISO-4217. For example: LTL, EUR, USD. - `contract_no` (string) Contract number. If application is in deal phase, then contract does not exist. - `appl_token` (string, required) Unique Leasing application token. - `order_id` (string, required) Unique E-shop shopping cart id. - `errors` (array) List of critical errors. ## Response 401 fields (application/json): - `message` (string) Unauthorized Example: "unauthorized" ## Response 404 fields (application/json): - `message` (string) Not Found Example: "not_found"